gdcm::network::ULWritingCallback Class Reference

`#include <gdcmULWritingCallback.h>`

Inheritance diagram for gdcm::network::ULWritingCallback:
[legend]
Collaboration diagram for gdcm::network::ULWritingCallback:
[legend]

## Public Member Functions

| ULWritingCallback ()=default
| ~ULWritingCallback () override=default
void | HandleDataSet (const DataSet &inDataSet) override
void | HandleResponse (const DataSet &inDataSet) override
void | SetDirectory (const std::string &inDirectoryName)
| provide the directory into which all files are written.
Public Member Functions inherited from gdcm::network::ULConnectionCallback
| ULConnectionCallback ()
virtual | ~ULConnectionCallback ()=default
bool | DataSetHandles () const
void | ResetHandledDataSet ()
void | SetImplicitFlag (const bool imp)

## Additional Inherited Members

Protected Member Functions inherited from gdcm::network::ULConnectionCallback
void | DataSetHandled ()
Protected Attributes inherited from gdcm::network::ULConnectionCallback
bool | mImplicit

## Constructor & Destructor Documentation

## ULWritingCallback()

gdcm::network::ULWritingCallback::ULWritingCallback | ( |  | ) |

default

## ~ULWritingCallback()

gdcm::network::ULWritingCallback::~ULWritingCallback | ( |  | ) |

override default

## Member Function Documentation

## HandleDataSet()

void gdcm::network::ULWritingCallback::HandleDataSet | ( | const DataSet & | inDataSet | ) |

override virtual

Implements gdcm::network::ULConnectionCallback.

## HandleResponse()

void gdcm::network::ULWritingCallback::HandleResponse | ( | const DataSet & | inDataSet | ) |

override virtual

Implements gdcm::network::ULConnectionCallback.

## SetDirectory()

void gdcm::network::ULWritingCallback::SetDirectory | ( | const std::string & | inDirectoryName | ) |

inline

provide the directory into which all files are written.

The documentation for this class was generated from the following file:

- gdcmULWritingCallback.h